#!/usr/bin/env node
"use strict";

var _path = _interopRequireDefault(require("path"));

var _minimist = _interopRequireDefault(require("minimist"));

var _coolTrim = _interopRequireDefault(require("cool-trim"));

var _pundleCoreCreateApp = require("pundle-core-create-app");

var _package = _interopRequireDefault(require("../package.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } } function _next(value) { step("next", value); } function _throw(err) { step("throw", err); } _next(); }); }; }

function main() {
  return _main.apply(this, arguments);
}

function _main() {
  _main = _asyncToGenerator(function* () {
    const argv = (0, _minimist.default)(process.argv.slice(2));

    if (argv.v || argv.version) {
      console.log(`${_package.default.version}`);
      return;
    }

    if (argv.help || argv.h || !argv._.length) {
      console.log(_coolTrim.default`
        Usage: ${_package.default.name} <project-directory> [options]
        Options:

          -h, --help              Show this help text
          -v, --version           Show version number of ${_package.default.name}
    `);
      return;
    }

    const _argv$_ = _slicedToArray(argv._, 1),
          name = _argv$_[0];

    yield (0, _pundleCoreCreateApp.createApp)({
      title: 'Pundle Babel App',
      name,
      directory: process.cwd(),
      from: _path.default.join(_path.default.dirname(__dirname), 'template')
    });
  });
  return _main.apply(this, arguments);
}

main().catch(console.error);